petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexNaturalToGlobalBegin

Rearranges a Vector in the natural order to the Global order.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexNaturalToGlobalBegin(DM dm, Vec nv, Vec gv)

Collective on dm

### Input Parameters

| dm | - The distributed DMPlex
| nv | - The natural Vec

### Output Parameters

gv -The global Vec

Note: The user must call DMPlexSetUseNaturalSF(dm, PETSC_TRUE) before DMPlexDistribute().

### See Also

DMPlexDistribute(), DMPlexDistributeField(), DMPlexNaturalToGlobalBegin(),DMPlexGlobalToNaturalEnd()

Level:intermediate
Location:src/dm/impls/plex/plexnatural.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages